Android studio - problème avec le SDK [Résolu]

Signaler
Messages postés
40
Date d'inscription
lundi 20 février 2017
Statut
Membre
Dernière intervention
2 juin 2021
-
Messages postés
40
Date d'inscription
lundi 20 février 2017
Statut
Membre
Dernière intervention
2 juin 2021
-
Bonjour,

je voudrais installé Android studio mais je rencontre des problèmes lié au SDK.

Lors de l'installation je n'ai pas eu la possibilité d'ajouter le sdk comme dans beaucoup de tuto.

exemple:


J'ai quand même terminé l'installation et lors que je créé un projet il semble y avoir des problèmes lié au SDK



J'ai malgré cela déjà le sdk installé :



Comment résoudre ce problème ?

2 réponses

Messages postés
15056
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
7 juin 2021
3 384
Bonjour,

Comment as-tu installé Android Studio ?
Voici le lien officiel : https://developer.android.com/studio
Messages postés
40
Date d'inscription
lundi 20 février 2017
Statut
Membre
Dernière intervention
2 juin 2021

J'ai suivi ce tuto:
https://www.youtube.com/watch?v=8CR40Dp1srw&list=PLMS9Cy4Enq5JnwAxe6Ao74qSTxxXjiw7N&ab_channel=Graven-D%C3%A9veloppement
La seule différence est que j'ai eu ceci:


Et non cela:


J'ai fait des recherche et dans la plupart des cas on conseille de faire:
go to Tools
Select SDK Manager
Under SDK Platforms select Android 9.0 (Pie) (API 28)
Then Apply and Download the API
Mais quand je fais ça je vois que le sdk semble déjà installé -_-
Messages postés
15056
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
7 juin 2021
3 384
Ok. Du coup, quel est le problème exactement ?
C'est lorsque tu crée un projet de type Android ?
Messages postés
40
Date d'inscription
lundi 20 février 2017
Statut
Membre
Dernière intervention
2 juin 2021
>
Messages postés
15056
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
7 juin 2021

Comme le montre cette capture d'écran:

Il semble y avoir des problème avec l'import des classes ainsi que avec gradle et le SDK
Messages postés
15056
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
7 juin 2021
3 384 >
Messages postés
40
Date d'inscription
lundi 20 février 2017
Statut
Membre
Dernière intervention
2 juin 2021

A priori, ton projet pointe sur le SDK 29 (Android 10). Or, tu as installé le SDK 28 (Pie). Du coup, soit tu changes la version dans le build.gradle, soit tu télécharges la version 29.
Messages postés
40
Date d'inscription
lundi 20 février 2017
Statut
Membre
Dernière intervention
2 juin 2021
>
Messages postés
15056
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
7 juin 2021

Problème résolu
Merci pour ton aide :)